> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pokulabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook

> Update the configuration of an existing webhook.



## OpenAPI

````yaml PATCH /webhooks/{webhookId}
openapi: 3.1.0
info:
  title: Poku API
  version: 1.0.0
  description: OpenAPI document for the authenticated Poku API routes.
servers:
  - url: https://api.pokulabs.com
security:
  - bearerAuth: []
tags:
  - name: calls
  - name: messages
  - name: forms
  - name: interactions
  - name: numbers
  - name: webhooks
paths:
  /webhooks/{webhookId}:
    patch:
      tags:
        - webhooks
      summary: Update webhook
      description: Update the configuration of an existing webhook.
      operationId: updateReservedNumberWebhook
      parameters:
        - name: webhookId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateReservedNumberWebhookRequest'
components:
  schemas:
    UpdateReservedNumberWebhookRequest:
      type: object
      properties:
        name:
          type: string
        url:
          type: string
          format: uri
        signingSecret:
          type: string
        headers:
          type: object
          additionalProperties:
            type: string
        isActive:
          type: boolean
        eventTypes:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEventType'
      additionalProperties: false
    WebhookEventType:
      type: string
      enum:
        - message.received
        - form.received
        - call.conversation.ended
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication header containing your Poku API key. Find it in the [Poku
        dashboard](https://dashboard.pokulabs.com/). The format is "Bearer
        YOUR_API_KEY"

````